#pragma once

#include <vector>

class Span
{
    private:
        unsigned int        _size;
        std::vector<int>    _vector;

        Span();
    
    public:
        Span(unsigned int N);
        Span(const Span& src);
        ~Span();

        Span& operator=(const Span& src);

        int shortestSpan() const;
        int longestSpan() const;
        void addNumber(const int nb);
};